<script lang="ts" setup>
import { computed } from "@vue/reactivity";
import { useRoute, useRouter } from "vue-router";

const route = useRoute();

const crumbs = computed(() => {
  let pathArray = route.path.split("/");
  pathArray.shift();
  let breadcrumbs = pathArray.reduce((breadcrumbArray: any[], path, idx) => {
    breadcrumbArray.push({
      path: path,
      to: breadcrumbArray[idx - 1]
        ? breadcrumbArray[idx - 1].to + "/" + path
        : "/" + path,
      text: path,
    });
    return breadcrumbArray;
  }, []);
  return breadcrumbs;
});
</script>

<template>
  <div class="flex">
    <div class="bg-gray-700 px-3 rounded flex items-center">
      Path:
      <div class="breadcrumbs pl-3">
        <ul>
          <li v-for="crumb in crumbs" :key="crumb.path">
            <RouterLink :to="crumb.to">{{ crumb.text }}</RouterLink>
          </li>
        </ul>
      </div>
    </div>
    <div class="flex-grow" />
  </div>
</template>
